*******************************************************************************
*   Title: master.do
* Purpose: Master do file for accountants paper replication file.
*   Owner: Eric Zwick
*    Date: 2020-04-13
*******************************************************************************
/* NEED TO ADD THE R SCRIPTS TO THIS */

* To initialize, define these environment variables:
* Environment variables.
global root "/path/to/root"
//global raw "$root/raw"
//global analysis "$root/dta"
//global csvdir "$root/csv"
global localcodedir "$root"

* Local directory.
global dodir "$localcodedir"
global rdir "$localcodedir"
global outputdir "$localcodedir/out"

display "$S_TIME  $S_DATE"

*******************************************************************************
* Dataset generation for internal environment.
*******************************************************************************
!R CMD BATCH $rdir/make_accountants.R /* Makes input files for make_accountants.do and some additional exhibits */
do $dodir/make_accountants.do /* Makes input files for draft_accountants.do */
main

*******************************************************************************
* Production code for internal environment.
* Produces: Tables 3 through 5
* Summary statistics (Table 2) from datasets used here.
*******************************************************************************
do $dodir/draft_accountants.do
main

*******************************************************************************
* Code for external environment
* Produces: Figures 1, 2, 3, 4, 5
*******************************************************************************
!R CMD BATCH $rdir/draft_accountants.R /* Makes final figures for main text */

*******************************************************************************
* Appendix material. Contains inside and outside programs, organized by
* programming language.
*******************************************************************************
!R CMD BATCH $rdir/appendix_accountants.R /* Appx Fig 1 and 2, Appx Tab 3 */
do $dodir/appendix_accountants.do /* Appx Tab 2, 4, and 5 */
main
